RUBY=ruby

all:
	$(RUBY) test-all.rb

testall:
	$(RUBY) test-testall.rb

profile:
	$(RUBY) -rprofile -I. test-all.rb 2> profile.txt

rbprof:
	$(RUBY) -rrbprof -I../../compat test-all.rb 2>rbprof.txt

bench:
	$(RUBY) -rrbprof -I../../compat bench-session.rb 2> rbprof-bench.txt

bench-page:
	$(RUBY) -rrbprof -I../../compat bench-page.rb 2> rbprof-page.txt

bench-textformat:
	$(RUBY) -rrbprof -I../../compat bench-textformat.rb 2> rbprof-textformat.txt

x:
	chmod -x *.rb

clean:
	-rm *~
	-rm -rf example.com test www e.com
	-rm testlog.txt
	-rm generation.txt
	-rm *.stackdump
	-rm ../../cache/sid/????????????????????????????????
	-rm test.db test.zip testtemp.zip
#	-rm *.profile
